FCPortType (CMDB Model API)
Keywords: com.collation.platform.model.topology.enums.FCPortType interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.enums
Interface FCPortType

All Superinterfaces:
  Enumeration

    public interface FCPortType

extends Enumeration

Port types for a SAN Fibre Channel Port

See Also:
  `com.collation.platform.model.topology.storage.FiberChannelPort`

Field Summary
`static int` | `AUTO`
`static int` | `B_PORT`
`static int` | `E_PORT`
`static int` | `F_NL_PORT`
`static int` | `F_PORT`
`static int` | `FL_PORT`
`static int` | `FV_PORT`
`static int` | `FX_PORT`
`static int` | `G_PORT`
`static int` | `LT_PORT`
`static int` | `N_PORT`
`static int` | `NL_PORT`
`static int` | `NV_PORT`
`static int` | `NX_PORT`
`static int` | `OTHER`
`static int` | `SD_PORT`
`static int` | `TE_PORT`
`static int` | `TL_PORT`
`static int` | `UNDEFINED`

Field Detail

### UNDEFINED

    static final int UNDEFINED

See Also:
  Constant Field Values

### N_PORT

    static final int N_PORT

See Also:
  Constant Field Values

### NL_PORT

    static final int NL_PORT

See Also:
  Constant Field Values

### F_NL_PORT

    static final int F_NL_PORT

See Also:
  Constant Field Values

### NX_PORT

    static final int NX_PORT

See Also:
  Constant Field Values

### F_PORT

    static final int F_PORT

See Also:
  Constant Field Values

### FL_PORT

    static final int FL_PORT

See Also:
  Constant Field Values

### LT_PORT

    static final int LT_PORT

See Also:
  Constant Field Values

### E_PORT

    static final int E_PORT

See Also:
  Constant Field Values

### B_PORT

    static final int B_PORT

See Also:
  Constant Field Values

### G_PORT

    static final int G_PORT

See Also:
  Constant Field Values

### TE_PORT

    static final int TE_PORT

See Also:
  Constant Field Values

### AUTO

    static final int AUTO

See Also:
  Constant Field Values

### FX_PORT

    static final int FX_PORT

See Also:
  Constant Field Values

### SD_PORT

    static final int SD_PORT

See Also:
  Constant Field Values

### TL_PORT

    static final int TL_PORT

See Also:
  Constant Field Values

### FV_PORT

    static final int FV_PORT

See Also:
  Constant Field Values

### NV_PORT

    static final int NV_PORT

See Also:
  Constant Field Values

### OTHER

    static final int OTHER

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD